cdac.medinfo.sdk.hl7282.baselibs.segments

## Class GP2

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.GP2

- All Implemented Interfaces:
    ISegment

      public class GP2
      extends Segment

  GP2 Grouping/Reimbursement - Procedure Line Item Segment

  This segment is used for items that pertain to each HCPC/CPT line item

  Represents an HL7 GP2 message segment. This segment has the following fields:

  GP2-1: Revenue Code (CWE)Optional
  GP2-2: Number of Service Units (NM)Optional
  GP2-3: Charge (CP)Optional
  GP2-4: Reimbursement Action Code (CWE)Optional
  GP2-5: Denial or Rejection Code (CWE)Optional
  GP2-6: OCE Edit Code (CWE)Optional
  GP2-7: Ambulatory Payment Classification Code (CWE)Optional
  GP2-8: Modifier Edit Code (CWE)Optional
  GP2-9: Payment Adjustment Code (CWE)Optional
  GP2-10: Packaging Status Code (CWE)Optional
  GP2-11: Expected CMS Payment Amount (CP)Optional
  GP2-12: Reimbursement Type Code (CWE)Optional
  GP2-13: Co-Pay Amount (CP)Optional
  GP2-14: Pay Rate per Service Unit (NM)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GP2()` Constructs the GP2 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addModifierEditCode(CWE objtempModifierEditCodee)` Set the Modifier Edit Code.
    `void` | `addModifierEditCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Modifier Edit Code.
    `void` | `addOCEEditCode(CWE objtempOCEEditCode)` Set the OCE Edit Code.
    `void` | `addOCEEditCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the OCE Edit Code.
    `CWE` | `getAmbulatoryPaymentClassificationCode()` Retrieves the Ambulatory Payment Classification Code.
    `CP` | `getCharge()` Retrieves the Charge.
    `CP` | `getCoPayAmount()` Retrieves the CoPay Amount.
    `CWE` | `getDenialOrRejectionCode()` Retrieves the Denial Or Rejection Code.
    `CP` | `getExpectedCMSPaymentAmount()` Retrieves the Expected CMS Payment Amount.
    `ISingleCollection<CWE>` | `getModifierEditCode()` Retrieves the Modifier Edit Code.
    `NM` | `getNumberOfServiceUnits()` Retrieves the Number Of Service Units.
    `ISingleCollection<CWE>` | `getOCEEditCode()` Retrieves the OCE Edit Code.
    `CWE` | `getPackagingStatusCode()` Retrieves the Packaging Status Code.
    `CWE` | `getPaymentAdjustmentCode()` Retrieves the Payment Adjustment Code.
    `NM` | `getPayRatePerServiceUnit()` Retrieves the Pay Rate Per Service Unit.
    `CWE` | `getReimbursementActionCode()` Retrieves the Reimbursement Action Code.
    `CWE` | `getReimbursementTypeCode()` Retrieves the Reimbursement Type Code.
    `CWE` | `getRevenueCode()` Retrieves the Revenue Code.
    `void` | `setAmbulatoryPaymentClassificationCode(CWE objambulatoryPaymentClassificationCode)` Set the Ambulatory Payment Classification Code.
    `void` | `setAmbulatoryPaymentClassificationCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Ambulatory Payment Classification Code.
    `void` | `setCharge(CP objcharge)` Set the Charge.
    `void` | `setCharge(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Charge.
    `void` | `setCoPayAmount(CP objcoPayAmount)` Set the CoPay Amount.
    `void` | `setCoPayAmount(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the CoPay Amount.
    `void` | `setDenialOrRejectionCode(CWE objdenialOrRejectionCode)` Set the Denial Or Rejection Code.
    `void` | `setDenialOrRejectionCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Denial Or Rejection Code.
    `void` | `setExpectedCMSPaymentAmount(CP objexpectedCMSPaymentAmount)` Set the Expected CMS Payment Amount.
    `void` | `setExpectedCMSPaymentAmount(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Expected CMS Payment Amount.
    `void` | `setModifierEditCode(ISingleCollection<CWE> objModifierEditCodeList)` Set the ModifierEditCode list.
    `void` | `setNumberOfServiceUnits(NM objnumberOfServiceUnits)` Set the Number Of Service Units.
    `void` | `setNumberOfServiceUnits(java.lang.String strNumberOfServiceUnits)` Set the Number Of Service Units.
    `void` | `setOCEEditCode(ISingleCollection<CWE> objOCEEditCodeList)` Set the OCEEditCode list.
    `void` | `setPackagingStatusCode(CWE objpackagingStatusCode)` Set the Packaging Status Code.
    `void` | `setPackagingStatusCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Packaging Status Code.
    `void` | `setPaymentAdjustmentCode(CWE objpaymentAdjustmentCode)` Set the Payment Adjustment Code.
    `void` | `setPaymentAdjustmentCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Payment Adjustment Code.
    `void` | `setPayRatePerServiceUnit(NM objpayRatePerServiceUnit)` Set the Pay Rate Per Service Unit.
    `void` | `setPayRatePerServiceUnit(java.lang.String strPayRatePerServiceUnit)` Set the Pay Rate Per Service Unit.
    `void` | `setReimbursementActionCode(CWE objreimbursementActionCode)` Set the Reimbursement Action Code.
    `void` | `setReimbursementActionCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Reimbursement Action Code.
    `void` | `setReimbursementTypeCode(CWE objreimbursementTypeCode)` Set the Reimbursement Type Code.
    `void` | `setReimbursementTypeCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Reimbursement Type Code.
    `void` | `setRevenueCode(CWE objrevenueCode)` Set the Revenue Code.
    `void` | `setRevenueCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Revenue Code.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GP2

          public GP2()

      Constructs the GP2 segment.

  - ### Method Detail

    - #### getAmbulatoryPaymentClassificationCode

          public CWE getAmbulatoryPaymentClassificationCode()

      Retrieves the Ambulatory Payment Classification Code. This field contains the derived APC code.
      Returns:
        CWE - ambulatoryPaymentClassificationCode

    - #### getCharge

          public CP getCharge()

      Retrieves the Charge. This field contains the amount charged for the specific individual. line item (HCPC/CPT).
      Returns:
        CP - charge

    - #### getCoPayAmount

          public CP getCoPayAmount()

      Retrieves the CoPay Amount. This field contains the patient's Co-pay amount for the line item.
      Returns:
        CP - coPayAmount

    - #### getDenialOrRejectionCode

          public CWE getDenialOrRejectionCode()

      Retrieves the Denial Or Rejection Code. This field determines the OCE status of the line item.
      Returns:
        CWE - denialOrRejectionCode

    - #### getExpectedCMSPaymentAmount

          public CP getExpectedCMSPaymentAmount()

      Retrieves the Expected CMS Payment Amount. This field contains the calculated dollar amount that CMS is expected to pay for the line item.
      Returns:
        CP - expectedCMSPaymentAmount

    - #### getModifierEditCode

          public ISingleCollection<CWE> getModifierEditCode()

      Retrieves the Modifier Edit Code. This field contains calculated edits of the modifiers for each line or HCPCS/CPT.
      Returns:
        ISingleCollection - modifierEditCode

    - #### getNumberOfServiceUnits

          public NM getNumberOfServiceUnits()

      Retrieves the Number Of Service Units. This field contains the quantitative count of units for each HCPC/CPT.
      Returns:
        NM - numberOfServiceUnits

    - #### getOCEEditCode

          public ISingleCollection<CWE> getOCEEditCode()

      Retrieves the OCE Edit Code. This field contains the edit that results from the processing of HCPCS/CPT procedures for a line item HCPCS/CPT, after evaluating all the codes, revenue codes, and modifiers.
      Returns:
        ISingleCollection - oCEEditCode

    - #### getPackagingStatusCode

          public CWE getPackagingStatusCode()

      Retrieves the Packaging Status Code. This field contains the packaging status of the service. A status indicator of N may accompany this, unless it is part of a partial hospitalization.
      Returns:
        CWE - packagingStatusCode

    - #### getPaymentAdjustmentCode

          public CWE getPaymentAdjustmentCode()

      Retrieves the Payment Adjustment Code. This field contains any payment adjustment due to drugs or medical devices.
      Returns:
        CWE - paymentAdjustmentCode

    - #### getPayRatePerServiceUnit

          public NM getPayRatePerServiceUnit()

      Retrieves the Pay Rate Per Service Unit. This field contains the calculated rate, or multiplying factor, for each service unit for the line item.
      Returns:
        NM - payRatePerServiceUnit

    - #### getReimbursementActionCode

          public CWE getReimbursementActionCode()

      Retrieves the Reimbursement Action Code. This field identifies the action to be taken during reimbursement calculations.
      Returns:
        CWE - reimbursementActionCode

    - #### getReimbursementTypeCode

          public CWE getReimbursementTypeCode()

      Retrieves the Reimbursement Type Code. This field contains the fee schedule reimbursement type applied to the line item.
      Returns:
        CWE - reimbursementTypeCode

    - #### getRevenueCode

          public CWE getRevenueCode()

      Retrieves the Revenue Code. This field identifies a specific ancillary service for each HCPC/CPT.
      Returns:
        CWE - revenueCode

    - #### setAmbulatoryPaymentClassificationCode

          public void setAmbulatoryPaymentClassificationCode(java.lang.String strIdentifier,
                                                    java.lang.String strText,
                                                    java.lang.String strNameOfCodingSystem,
                                                    java.lang.String strAlternateIdentifier,
                                                    java.lang.String strAlternateText,
                                                    java.lang.String strNameOfAlternateCodingSystem,
                                                    java.lang.String strCodingSystemVersionID,
                                                    java.lang.String strAlternateCodingSystemVersionId,
                                                    java.lang.String strOriginalText,
                                                    java.lang.String strSecondAlternateIdentifier,
                                                    java.lang.String strSecondAlternateText,
                                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                                    java.lang.String strCodingSystemOID,
                                                    java.lang.String strValueSetOID,
                                                    java.lang.String strValueSetVersionID,
                                                    java.lang.String strAlternateCodingSystemOID,
                                                    java.lang.String strAlternateValueSetOID,
                                                    java.lang.String strAlternateValueSetVersionID,
                                                    java.lang.String strSecondAlternateCodingSystemOID,
                                                    java.lang.String strSecondAlternateValueSetOID,
                                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Ambulatory Payment Classification Code. This field contains the derived APC code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAmbulatoryPaymentClassificationCode

          public void setAmbulatoryPaymentClassificationCode(CWE objambulatoryPaymentClassificationCode)

      Set the Ambulatory Payment Classification Code. This field contains the derived APC code.
      Parameters:
        `objambulatoryPaymentClassificationCode` -

    - #### setCharge

          public void setCharge(MO objPrice,
                       java.lang.String strPriceType,
                       java.lang.String strFromValue,
                       java.lang.String strToValue,
                       CWE objRangeUnits,
                       java.lang.String strRangeType)

      Set the Charge. This field contains the amount charged for the specific individual.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Spefies the "range" alongwith strToValue.
        `strToValue` - Spefies the "range" alongwith strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setCharge

          public void setCharge(CP objcharge)

      Set the Charge. This field contains the amount charged for the specific individual.
      Parameters:
        `objcharge` -

    - #### setCoPayAmount

          public void setCoPayAmount(MO objPrice,
                            java.lang.String strPriceType,
                            java.lang.String strFromValue,
                            java.lang.String strToValue,
                            CWE objRangeUnits,
                            java.lang.String strRangeType)

      Set the CoPay Amount. This field contains the patient's Co-pay amount for the line item.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Spefies the "range" alongwith strToValue.
        `strToValue` - Spefies the "range" alongwith strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setCoPayAmount

          public void setCoPayAmount(CP objcoPayAmount)

      Set the CoPay Amount. This field contains the patient's Co-pay amount for the line item.
      Parameters:
        `objcoPayAmount` -

    - #### setDenialOrRejectionCode

          public void setDenialOrRejectionCode(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Denial Or Rejection Code. This field determines the OCE status of the line item.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDenialOrRejectionCode

          public void setDenialOrRejectionCode(CWE objdenialOrRejectionCode)

      Set the Denial Or Rejection Code. This field determines the OCE status of the line item.
      Parameters:
        `objdenialOrRejectionCode` - This value contains String value of Denial Or Rejection Code

    - #### setExpectedCMSPaymentAmount

          public void setExpectedCMSPaymentAmount(MO objPrice,
                                         java.lang.String strPriceType,
                                         java.lang.String strFromValue,
                                         java.lang.String strToValue,
                                         CWE objRangeUnits,
                                         java.lang.String strRangeType)

      Set the Expected CMS Payment Amount. This field contains the calculated dollar amount that CMS is expected to pay for the line item.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Spefies the "range" alongwith strToValue.
        `strToValue` - Spefies the "range" alongwith strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setExpectedCMSPaymentAmount

          public void setExpectedCMSPaymentAmount(CP objexpectedCMSPaymentAmount)

      Set the Expected CMS Payment Amount. This field contains the calculated dollar amount that CMS is expected to pay for the line item.
      Parameters:
        `objexpectedCMSPaymentAmount` -

    - #### addModifierEditCode

          public void addModifierEditCode(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Modifier Edit Code. This field contains calculated edits of the modifiers for each line or HCPCS/CPT.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addModifierEditCode

          public void addModifierEditCode(CWE objtempModifierEditCodee)

      Set the Modifier Edit Code. This field contains calculated edits of the modifiers for each line or HCPCS/CPT.
      Parameters:
        `objtempModifierEditCodee` - This value contains the String value of Modifier Edit Code

    - #### setModifierEditCode

          public void setModifierEditCode(ISingleCollection<CWE> objModifierEditCodeList)

      Set the ModifierEditCode list.
      Parameters:
        `objModifierEditCodeList` - List of ModifierEditCode

    - #### setNumberOfServiceUnits

          public void setNumberOfServiceUnits(java.lang.String strNumberOfServiceUnits)

      Set the Number Of Service Units. This field contains the quantitative count of units for each HCPC/CPT.
      Parameters:
        `strNumberOfServiceUnits` - This value contains the String Value of Number Of Service Units

    - #### setNumberOfServiceUnits

          public void setNumberOfServiceUnits(NM objnumberOfServiceUnits)

      Set the Number Of Service Units. This field contains the quantitative count of units for each HCPC/CPT.
      Parameters:
        `objnumberOfServiceUnits` - This value contains the String Value of Number Of Service Units

    - #### addOCEEditCode

          public void addOCEEditCode(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the OCE Edit Code. This field contains the edit that results from the processing of HCPCS/CPT procedures for a line item HCPCS/CPT, after evaluating all the codes, revenue codes, and modifiers.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addOCEEditCode

          public void addOCEEditCode(CWE objtempOCEEditCode)

      Set the OCE Edit Code. This field contains the edit that results from the processing of HCPCS/CPT procedures for a line item HCPCS/CPT, after evaluating all the codes, revenue codes, and modifiers.
      Parameters:
        `objtempOCEEditCode` - This field contains the String Value of Edits Per Visit Code

    - #### setOCEEditCode

          public void setOCEEditCode(ISingleCollection<CWE> objOCEEditCodeList)

      Set the OCEEditCode list.
      Parameters:
        `objOCEEditCodeList` - List of OCEEditCode

    - #### setPackagingStatusCode

          public void setPackagingStatusCode(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Packaging Status Code. This field contains the packaging status of the service. A status indicator of N may accompany this, unless it is part of a partial hospitalization.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPackagingStatusCode

          public void setPackagingStatusCode(CWE objpackagingStatusCode)

      Set the Packaging Status Code. This field contains the packaging status of the service. A status indicator of N may accompany this, unless it is part of a partial hospitalization.
      Parameters:
        `objpackagingStatusCode` - This field contains the String Value of Packaging Status Code

    - #### setPaymentAdjustmentCode

          public void setPaymentAdjustmentCode(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Payment Adjustment Code. This field contains any payment adjustment due to drugs or medical devices.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPaymentAdjustmentCode

          public void setPaymentAdjustmentCode(CWE objpaymentAdjustmentCode)

      Set the Payment Adjustment Code. This field contains any payment adjustment due to drugs or medical devices.
      Parameters:
        `objpaymentAdjustmentCode` - This field contains the String Value of Payment Adjustment Code

    - #### setPayRatePerServiceUnit

          public void setPayRatePerServiceUnit(java.lang.String strPayRatePerServiceUnit)

      Set the Pay Rate Per Service Unit. This field contains the calculated rate, or multiplying factor, for each service unit for the line item.
      Parameters:
        `strPayRatePerServiceUnit` - This field contains the String Value of Pay Rate Per Service Unit.

    - #### setPayRatePerServiceUnit

          public void setPayRatePerServiceUnit(NM objpayRatePerServiceUnit)

      Set the Pay Rate Per Service Unit. This field contains the calculated rate, or multiplying factor, for each service unit for the line item.
      Parameters:
        `objpayRatePerServiceUnit` - This field contains the String Value of Pay Rate Per Service Unit.

    - #### setReimbursementActionCode

          public void setReimbursementActionCode(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Reimbursement Action Code. This field identifies the action to be taken during reimbursement calculations.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setReimbursementActionCode

          public void setReimbursementActionCode(CWE objreimbursementActionCode)

      Set the Reimbursement Action Code. This field identifies the action to be taken during reimbursement calculations.
      Parameters:
        `objreimbursementActionCode` - This field contains the String Value of Reimbursement Action Code.

    - #### setReimbursementTypeCode

          public void setReimbursementTypeCode(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Reimbursement Type Code. This field contains the fee schedule reimbursement type applied to the line item.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setReimbursementTypeCode

          public void setReimbursementTypeCode(CWE objreimbursementTypeCode)

      Set the Reimbursement Type Code. This field contains the fee schedule reimbursement type applied to the line item.
      Parameters:
        `objreimbursementTypeCode` - This value contains String value of ReimbursementTypeCode

    - #### setRevenueCode

          public void setRevenueCode(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Revenue Code. This field identifies a specific ancillary service for each HCPC/CPT.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRevenueCode

          public void setRevenueCode(CWE objrevenueCode)

      Set the Revenue Code. This field identifies a specific ancillary service for each HCPC/CPT.
      Parameters:
        `objrevenueCode` - This field contains the String Value of Revenue Code

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails